﻿$ErrorActionPreference = 'Stop'

$packageName = 'arq'
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url = 'https://www.arqbackup.com/download/arqbackup/Arq7.msi'
$checksum = '25c5e854005c0f368d89c1ff838a00636034faf1e31eec1dd109ce87fe93910b'

$packageArgs = @{
    packageName    = $packageName
    fileType       = 'MSI'
    url            = $url
    validExitCodes = @(0, 3010, 1641, 1920, 1603)
    silentArgs     = '/quiet /norestart'
    softwareName   = 'ARQ'
    checksum       = $checksum
    checksumType   = 'sha256'
}

Install-ChocolateyPackage @packageArgs
